<script>
export default {
  data() {
    return {
    };
  },
  props:{
    value: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    handleClickSearch() {
      this.$emit('update:value', true)
    }
  },
};
</script>

<template>
  <view class='search' @click="handleClickSearch">
    <van-search
      shape="round"
      background="transparent"
      placeholder="搜索企业名称、承诺名称"
    />
  </view>
</template>

<style scoped>
.search {
  padding: 10px;
}
</style>